# ==================================================================
# Plugins::DescSpans - Auto Generated Program Module
#
#   Plugins::DescSpans
#   Author  : Dat Truong Tan
#   Version : 1
#   Updated : Sat Mar 18 08:24:52 2006
#
# ==================================================================
#

package Plugins::DescSpans;
# ==================================================================

use strict;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links qw/:objects/;

# Inherit from base class for debug and error methods
@Plugins::DescSpans::ISA = qw(GT::Base);

# Your code begins here.


# PLUGIN HOOKS
# ===================================================================


sub create_desc_spans {
# -----------------------------------------------------------------------------
# This subroutine will be called whenever the hook 'site_html_detailed' is run.  You
# should call $PLG->action(STOP) if you don't want the regular
# 'site_html_detailed' code to run, otherwise the code will continue as normal.
#
    my ($args) = @_;

	my ($id,$text,$nh,$len);
	my $curl = $IN->unescape($IN->url);

	if($curl=~ /html#(\d*?)\D|$/){
             $nh = $1;
#			 open(LH,">>$CFG->{admin_root_path}/tmp/desc.log");
#			 print LH "$nh\n";
#			 close(LH);
      }
#	$nh = $IN->param('nh');
#		print $IN->header;print "nh=",$nh;exit;

	$nh = 1 unless($nh);

	$text = $args->{Description};
	$id = $args->{ID};

	
	$len = Links::Plugins->get_plugin_user_cfg('DescSpans')->{Len_Perl_Page};
	my $full_len = length($text);
	return {span_desc => $text,} if($full_len <= $len);
	my $count =  $full_len/$len;
	$count++ if($count> int($count));

	$args->{Description} = substr($text,($nh-1)*$len,$len);
	my $url = $CFG->{build_root_url} . "/";
	my $detailed = $DB->table('Links')->detailed_url($id);
	$url = "$CFG->{build_detail_url}/$detailed";
	
	my $span = "";
	for(my $i=1;$i<=$count;$i++){
		$span .= qq|<a href="$url#$i">| if($i ne $nh);
		$span .= $i ;
		$span .= qq|</a>| if ($i ne $nh);
		$span .= '&nbsp;&nbsp;';
	}
	##return {span_desc => $text, span_desc_pages => $span, curl => $curl, span_desc_nh => $nh};
	$args->{Description_spans} = $span;
    return $args;
}

# ADMIN MENU OPTIONS
# ===================================================================

sub showabout {
# -------------------------------------------------------------------
# This subroutine will be called whenever the user clicks on 'About' in the
# admin menu.  Remember, you need to print your own HTTP header; to do so you
# can use:
#
   print $IN->header();
#
	print qq|
		<h1>DescSpans Plugin</h1>
		<br>
		<p>
		Enable Descrption to be spaned
			<br>
		There is a available template which you can add it into any place in your detailed.html template like<br><b>
		&lt;%if Description_spans%&gt;...More
pages:&lt;%Description_spans%&gt;&lt;%endif%&gt;
</b>. And Your <b>&lt;%Description%&gt;</b> in this one is also shortened.
			<br>
			The length of each pages can be change <a href="admin.cgi?do=page&page=plugin_manager.html&plugin_man_do=edit_installed&plugin_name=DescSpans">here</a>.

		</p>
		<hr>
		<p> that's it!</p>
		<p><a href="http://cgito.net/services.shtml" target=_blank>Donate for it</a>, if you feel it is useful!</p>

<p> Cheers,</p>
<p> Dat at dat\@cgito.net<br>
	http://www.cgito.net</p>
		
	|;
}

# Always end with a 1.
1;
