# ==================================================================
# Plugins::DescSpans - Auto Generated Install Module
#
#   Plugins::DescSpans
#   Author  : Dat Truong Tan
#   Version : 1
#   Updated : Sat Mar 18 08:24:52 2006
#
# ==================================================================
#

package Plugins::DescSpans;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links qw/:objects/;

$VERSION = '1';
$DEBUG   = 0;
$NAME    = 'DescSpans';
# Inhert from base class for debug and error methods
@Plugins::DescSpans::ISA = qw(GT::Base);

$META = {
    'author' => 'Dat Truong Tan',
    'description' => 'Allow detailed pages have spans if its Description is too long.',
    'license' => 'Commercial',
    'prog_ver' => '3.0.4',
    'url' => 'http://cgito.net',
    'version' => '1'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = '';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::DescSpans::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('DescSpans', [['site_html_detailed', 'PRE', 'Plugins::DescSpans::create_desc_spans', '']]);
    $mgr->install_menu('DescSpans', [['About', 'admin.cgi?do=plugin&plugin=DescSpans&func=showabout']]);
    $mgr->install_options('DescSpans', [['Len_Perl_Page', '1000', 'Specify the lenth of text per page', 'TEXT', [], [], '']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::DescSpans::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('DescSpans', [['site_html_detailed', 'PRE', 'Plugins::DescSpans::create_desc_spans', '']]);    $mgr->uninstall_menu('DescSpans', [['About', 'admin.cgi?do=plugin&plugin=DescSpans&func=showabout']]);
    $mgr->uninstall_options('DescSpans', [['Len_Perl_Page', '1000', 'Specify the lenth of text per page', 'TEXT', [], [], '']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
